package com.logicbig.example;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import javax.servlet.http.HttpServletRequest;

@Controller
public class MyController {

    @ResponseBody
    @RequestMapping("/employee")
    public String employeeHandler(HttpServletRequest request) {
        String uri = request.getRequestURI();
        if(uri.endsWith(".xml")){
            return "<doc>test response at "+uri+"</doc>";
        }
        return "plain test response at "+uri;
    }
}